<template>
  <span class="mt-disponibilite-puce" :class="cssClass" :style="`--puce-size: ${size}`"></span>
</template>

<script>
export default {
  name: 'MtDisponibilitePuce',
  props: {
    typeDisponibilite: {
      type: Object,
      default: () => ({}),
    },
    size: {
      type: String,
      default: '0.5625rem',
    },
    isDisponible: Boolean,
    isIndisponible: Boolean,
  },
  computed: {
    cssClass() {
      if ((!!this.typeDisponibilite && !!this.typeDisponibilite.estDisponible) || !!this.isDisponible) {
        return 'mt-puce-disponible';
      }
      if ((!!this.typeDisponibilite && this.typeDisponibilite.estDisponible === false) || !!this.isIndisponible) {
        return 'mt-puce-indisponible';
      }
      return '';
    },
  },
};
</script>

<style scoped lang="scss">
.mt-disponibilite-puce {
  --puce-size: 0.5625rem;
  display: inline-block;
  width: var(--puce-size);
  height: var(--puce-size);
  font-size: var(--puce-size);
  border-radius: 50%;
  margin: auto 0.555em auto 0;
}
</style>
